Subject: Re: PATCH uninorth3 (G5) agp support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Dec 2004 14:52:43 +0100

> I got some lockup after adding agp support but i don't know if
> it came from my playing with the r300 (most probable
> source :)) or from the cache collision you are talking about.
> 
> Anyway it's not time to think to that :) Have good hollydays.
> 
> I will look a bit further in this to see if i can find anythings
> that may helps.

One possiblily to fix the potential issue of cache collision would be to
steal the AGP pages from the hugetlb pool (large pages) instead of small
4k pages. This would make it possible to unmap them individually from
the kernel linear mapping...

Ben.